Subject: Re: bug#58966: [Trunk] Xcode 14.1+ (and macOS 13.0+) deprecate sprintf()

From: Gerd Möllmann <[email-masked]>
Date: Thu, 3 Nov 2022 17:15:46 +0100

On 03.11.22 16:30, Jacob Faibussowitsch wrote:
> Did not work I’m afraid. I did:
> 
> $ git clean -xdf
> $ ./autogen.sh
> $ ./configure \
>    --prefix=/Users/jacobfaibussowitsch/soft/packages \
>    CC=clang \
>    CXX=clang++ \
>    CFLAGS='-O3 -mtune=native -flto=thin -flto-jobs=7 -std=gnu17 -Wno-unused-command-line-argument -Wno-unknown-pragmas' \
>    CXXFLAGS='-O3 -mtune=native -flto=thin -flto-jobs=7 -std=gnu++20 -Wno-unused-command-line-argument -Wno-unknown-pragmas' \
>    LDFLAGS='-L/opt/homebrew/lib' \
>    -C \
>    --with-native-compilation \
>    --with-gnutls \
>    --without-x \
>    --with-xml2 \
>    --with-dbus \
>    --with-modules \
>    --with-json \
>    --without-ns \
>    --with-jpeg \
>    --with-tiff \
>    --with-gif \
>    --with-png \
>    --with-rsvg \
>    --with-libsystemd \
>    --with-cairo \
>    --with-harfbuzz \
>    --with-zlib \
>    --with-toolkit-scroll-bars \
>    --disable-gcc-warnings \
>    --without-compress-install \
>    --with-libgmp
> $ make 2>&1 | tee make.log
> 
> Best regards,

Then it's something in your configure args that's overwriting it.
It's apparently not the CFLAGS="...", that much I can tell.  Can you
find out?